Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/get_mmp_status \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 7851,
  "method": "private/get_mmp_status",
  "params": {
    "index_name": "btc_usd",
    "mmp_group": "MassQuoteBot7"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/get_mmp_status"

payload = {
"jsonrpc": "2.0",
"id": 7851,
"method": "private/get_mmp_status",
"params": {
"index_name": "btc_usd",
"mmp_group": "MassQuoteBot7"
}
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 7851,
method: 'private/get_mmp_status',
params: {index_name: 'btc_usd', mmp_group: 'MassQuoteBot7'}
})
};

fetch('https://test.deribit.com/api/v2/private/get_mmp_status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 7851,
  "result": [
    {
      "index_name": "btc_usd",
      "frozen_until": 1744275841861,
      "mmp_group": "MassQuoteBot7"
    }
  ]
}

Query Parameters

index_name
enum<string>

Index identifier of derivative instrument on the platform

Available options:
btc_usd,
eth_usd,
btc_usdc,
eth_usdc,
ada_usdc,
algo_usdc,
avax_usdc,
bch_usdc,
bnb_usdc,
doge_usdc,
dot_usdc,
link_usdc,
ltc_usdc,
near_usdc,
paxg_usdc,
shib_usdc,
sol_usdc,
ton_usdc,
trx_usdc,
trump_usdc,
uni_usdc,
xrp_usdc,
usde_usdc,
buidl_usdc,
btcdvol_usdc,
ethdvol_usdc,
btc_usdt,
eth_usdt,
all
mmp_group
string

Specifies the MMP group for which the status is being retrieved. The index_name must be specified before using this parameter.

Leaving mmp_group empty (passing "" or omitting it) targets the orders MMP group โ€” the default group used for regular orders with the mmp flag set. This is not an error or an incomplete request.

๐Ÿ“– Related Article: Mass Quotes Specifications

Example:

"MassQuoteBot7"

block_rfq
boolean
default:false

If true, retrieves MMP status for Block RFQ. When set, requires block_rfq scope instead of trade scope. Block RFQ MMP status is completely separate from normal order/quote MMP status.

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object[]
required
id
integer

The id that was sent in the request